################################################################################

{{- if eq .Values.global.filesystem.type "efs" }}

apiVersion: v1
kind: PersistentVolume
metadata:
  name: "{{ .Release.Namespace }}-{{ .Release.Name }}"
  labels: 
{{- include "php-nginx.labels" . | indent 4 }}
spec:
  capacity:
    storage: {{ .Values.global.filesystem.size_gb }}Gi
  volumeMode: Filesystem
  accessModes:
    - ReadWriteMany
  persistentVolumeReclaimPolicy: Retain
  storageClassName: ""
  csi:
    driver: efs.csi.aws.com
    volumeHandle: "{{ required "EFS volume ID is required" .Values.global.filesystem.efsId }}"

{{- end }}

################################################################################
